POST
/v1/mgmt/sso/oidc

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

tenantId?string
settings?object
domains?array<string>
string
ssoId?string

Configure the OIDC settings of a tenant, using a valid management key.

This API endpoint will configure the OIDC settings on a tenant utilizing a valid management key.

This endpoint accepts the OIDC configuration settings as well as the attribute mapping you would like to be configured on the SAML settings.

See also

  • See SSO Configuration for further details on managing SSO Configurations on a tenant.
curl -X POST "https://api.descope.com/v1/mgmt/sso/oidc" \  -H "Content-Type: application/json" \  -d '{}'
Was this helpful?